% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/trans_id.R
\name{trans_id}
\alias{transID}
\alias{trans_id}
\title{trans_id}
\usage{
trans_id(x, from = "CAS", to = "InChIKey",
  odor_data = door_default_values("odor"))
}
\arguments{
\item{x}{character vector, one or many chemical identifiers}

\item{from}{character, the type of identifier to translate from (one of the column names of ``odor``)}

\item{to}{character, the type of identifier to translate from (one of the column names of ``odor``)}

\item{odor_data}{the data frame containing the odor information (defaults to ``odor``).}
}
\value{
character vector of translated chemical identifiers
}
\description{
Translate chemical identifiers from one to the other.
}
\examples{
# load data
library(DoOR.data)

# transform CAS to InChIKey
trans_id("123-92-2")

# transform Name to InChIKey
trans_id("isopentyl acetate", "Name")

# transform SMILE to InChIKey
trans_id("C(C(C)C)COC(=O)C", "SMILES", "Name")

}

